org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker

## Class ThreadPageLocksDumpLock

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.ThreadPageLocksDumpLock

All Implemented Interfaces:
  PageLockDump

    public class ThreadPageLocksDumpLock
    extends Object
    implements PageLockDump

### Nested Class Summary

Nested Classes
`static class` `ThreadPageLocksDumpLock.ThreadState`

### Field Summary

Fields
`Map<Integer,String>` `structureIdToStrcutureName`
`List<ThreadPageLocksDumpLock.ThreadState>` `threadStates`
`long` `time`

### Constructor Summary

Constructors
Constructor and Description
`ThreadPageLocksDumpLock(long time, Map<Integer,String> structureIdToStrcutureName, List<ThreadPageLocksDumpLock.ThreadState> threadStates)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `apply(DumpProcessor dumpProcessor)`
`long` `time()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### time

    public final long time

#### structureIdToStrcutureName

    public final Map<Integer,String> structureIdToStrcutureName

#### threadStates

    public final List<ThreadPageLocksDumpLock.ThreadState> threadStates

### Constructor Detail

#### ThreadPageLocksDumpLock

    public ThreadPageLocksDumpLock(long time,
                                   Map<Integer,String> structureIdToStrcutureName,
                                   List<ThreadPageLocksDumpLock.ThreadState> threadStates)

### Method Detail

#### apply

    public void apply(DumpProcessor dumpProcessor)

Specified by:
  `apply` in interface `PageLockDump`
Parameters:
  `dumpProcessor` - Apply dump processor.

#### time

    public long time()

Specified by:
  `time` in interface `PageLockDump`
Returns:
  Dump creation time.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021